from typing import Dict
from abc import ABC, abstractmethod


class ReportInterface:
    figure_number: int
    table_number: int

    @abstractmethod
    def add_header_info(
            self,
            header: str,
            title: str,
            sub_title: str,
            sub_sub_title: str,
            footer_title: str,
            footer_content: str,
    ):
        pass

    @abstractmethod
    def set_blocks(
            self,
            blocks: Dict,
            ):
        pass

    @abstractmethod
    def add_blocks(
            self,
            blocks: Dict,
    ):
        pass

    @abstractmethod
    def save(self):
        pass

    @abstractmethod
    def generate_html(self):
        pass






